Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.util
Class Logger

    java.lang.Object
      com.sun.mdm.index.util.Logger

All Implemented Interfaces:
  java.io.Serializable

public final class Logger
extends java.lang.Object
implements java.io.Serializable

A logger that exposes the same "interface" as the Log4J logger but in fact logs to a java.util.logging.Logger delegate. It can be used to make migration from the log4j package to the java.util.logging package easier.

See Also:
  Serialized Form

Method Summary
`void` | `debug(java.lang.Object message)` See `org.apache.log4j.Category#debug`
`void` | `debug(java.lang.Object message, ObjectNode node)` Issue a log msg with a level of DEBUG.
`void` | `debug(java.lang.Object message, java.lang.Throwable t)` See `org.apache.log4j.Category#debug`
`void` | `error(java.lang.Object message)` See `org.apache.log4j.Category#error`
`void` | `error(java.lang.Object message, java.lang.Throwable t)` See `org.apache.log4j.Category#error`
`void` | `fatal(java.lang.Object message)` See `org.apache.log4j.Category#fatal`
`void` | `fatal(java.lang.Object message, java.lang.Throwable t)` See `org.apache.log4j.Category#fatal`
`java.util.logging.Level` | `getLevel()` See `org.apache.log4j.Category#getLevel`
`static Logger` | `getLogger(java.lang.Class clazz)` See `org.apache.log4j.Logger#`
`static Logger` | `getLogger(java.lang.String name)` See `org.apache.log4j.Logger#getLogger`
`java.lang.String` | `getName()` See `org.apache.log4j.Category#getName`
`java.util.ResourceBundle` | `getResourceBundle()` See `org.apache.log4j.Category#getResourceBundle`
`void` | `info(java.lang.Object message)` See `org.apache.log4j.Category#info`
`void` | `info(java.lang.Object message, java.lang.Throwable t)` See `org.apache.log4j.Category#info`
`boolean` | `isDebugEnabled()` See `org.apache.log4j.Category#isDebugEnabled`
`boolean` | `isEnabledFor(java.util.logging.Level level)` See `org.apache.log4j.Category#isEnabledFor`
`boolean` | `isInfoEnabled()` See `org.apache.log4j.Category#isInfoEnabled`
`void` | `setLevel(java.util.logging.Level level)` See `org.apache.log4j.Category#setLevel`
`void` | `severe(java.lang.Object message)` See `org.apache.log4j.Category#error`
`void` | `warn(java.lang.Object message)` See `org.apache.log4j.Category#warn`
`void` | `warn(java.lang.Object message, java.lang.Throwable t)` See `org.apache.log4j.Category#warn`
`void` | `warn(java.lang.String message)` See `org.apache.log4j.Category#warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### debug

    public final void debug(java.lang.Object message)

  See `org.apache.log4j.Category#debug`

  Parameters:
    `message` - msg to be logged

### debug

    public void debug(java.lang.Object message,
                      ObjectNode node)

  Issue a log msg with a level of DEBUG.

  Parameters:
    `message` - FIXME
    `node` - Object node to log

### debug

    public final void debug(java.lang.Object message,
                            java.lang.Throwable t)

  See `org.apache.log4j.Category#debug`

  Parameters:
    `message` - msg to be logged
    `t` - exception

### error

    public final void error(java.lang.Object message)

  See `org.apache.log4j.Category#error`

  Parameters:
    `message` - msg to be logged

### error

    public final void error(java.lang.Object message,
                            java.lang.Throwable t)

  See `org.apache.log4j.Category#error`

  Parameters:
    `message` - msg to be logged
    `t` - exception to be logged

### fatal

    public final void fatal(java.lang.Object message)

  See `org.apache.log4j.Category#fatal`

  Parameters:
    `message` - msg to be logged

### fatal

    public final void fatal(java.lang.Object message,
                            java.lang.Throwable t)

  See `org.apache.log4j.Category#fatal`

  Parameters:
    `message` - msg to be logged
    `t` - exception to be logged

### getLevel

    public final java.util.logging.Level getLevel()

  See `org.apache.log4j.Category#getLevel`

  Returns:
    Level

### getLogger

    public static Logger getLogger(java.lang.Class clazz)

  See `org.apache.log4j.Logger#`

  Parameters:
    `clazz` - Class whose name is to be used as the logger name
  Returns:
    Logger instance

### getLogger

    public static Logger getLogger(java.lang.String name)

  See `org.apache.log4j.Logger#getLogger`

  Parameters:
    `name` - name of the logger
  Returns:
    Logger instance

### getName

    public final java.lang.String getName()

  See `org.apache.log4j.Category#getName`

  Returns:
    String

### getResourceBundle

    public final java.util.ResourceBundle getResourceBundle()

  See `org.apache.log4j.Category#getResourceBundle`

  Returns:
    ResourceBundle

### info

    public final void info(java.lang.Object message)

  See `org.apache.log4j.Category#info`

  Parameters:
    `message` - msg to be logged

### info

    public final void info(java.lang.Object message,
                           java.lang.Throwable t)

  See `org.apache.log4j.Category#info`

  Parameters:
    `message` - msg to be logged
    `t` - exception to be logged

### isDebugEnabled

    public final boolean isDebugEnabled()

  See `org.apache.log4j.Category#isDebugEnabled`

  Returns:
    if debug logging is enabled

### isEnabledFor

    public final boolean isEnabledFor(java.util.logging.Level level)

  See `org.apache.log4j.Category#isEnabledFor`

  Parameters:
    `level` - msg to be logged
  Returns:
    boolean

### isInfoEnabled

    public final boolean isInfoEnabled()

  See `org.apache.log4j.Category#isInfoEnabled`

  Returns:
    boolean

### setLevel

    public final void setLevel(java.util.logging.Level level)

  See `org.apache.log4j.Category#setLevel`

  Parameters:
    `level` - msg to be logged

### severe

    public final void severe(java.lang.Object message)

  See `org.apache.log4j.Category#error`

  Parameters:
    `message` - msg to be logged

### warn

    public final void warn(java.lang.Object message)

  See `org.apache.log4j.Category#warn`

  Parameters:
    `message` - msg to be logged

### warn

    public final void warn(java.lang.Object message,
                           java.lang.Throwable t)

  See `org.apache.log4j.Category#warn`

  Parameters:
    `message` - msg to be logged
    `t` - exception to be logged

### warn

    public final void warn(java.lang.String message)

  See `org.apache.log4j.Category#warn`

  Parameters:
    `message` - msg to be logged

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.